Partial Class USU_ReferenciasBusinessObject

#Region "Contructores"
    ' Definir en esta region los constructores personalizados para el BusinessObject

#End Region

#Region "Metodos Generales"
    ' Definir en esta region los metodos no estaticos,
    ' estos metodos comunmente utilizan como parametros de proceso valores tomados de la propiedad entity
  

#End Region

#Region "Metodos Estaticos"
    ' Definir en esta region metodos estaticos
    Public Shared Function GetListReferenciasByTipoReferencia(idUsuario As Int32, tipoReferencia As Boolean) As EntityList(Of USU_Referencias)
        Return GetDdHelperInstance.GetListReferenciasByTipoReferencia(idUsuario, tipoReferencia)
    End Function

    Public Shared Function GetListReferenciasLaborales(idUsuario As Int32) As EntityList(Of USU_Referencias)
        Return GetDdHelperInstance.GetListReferenciasLaborales(idUsuario)
    End Function

    Public Shared Function GetListReferenciasPersonales(idUsuario As Int32) As EntityList(Of USU_Referencias)
        Return GetDdHelperInstance.GetListReferenciasPersonales(idUsuario)
    End Function
#End Region

#Region "Metodos Privados"
    ' Definir en esta region metodos privados

#End Region

#Region "Metodos Reportes"
    ' Definir en esta region metodos utilizados para reportes que comunmente devulven DataSets

#End Region
End Class
